AESencrypt Class Reference

`#include <aescpp.h>`

## Public Types

typedef void | ctr_fn(unsigned char ctr[])

## Public Member Functions

| AESencrypt (void)
| AESencrypt (const unsigned char key[])
AES_RETURN | key128 (const unsigned char key[])
AES_RETURN | key192 (const unsigned char key[])
AES_RETURN | key256 (const unsigned char key[])
AES_RETURN | key (const unsigned char key[], int key_len)
AES_RETURN | encrypt (const unsigned char in[], unsigned char out[]) const
AES_RETURN | mode_reset (void)
AES_RETURN | ecb_encrypt (const unsigned char in[], unsigned char out[], int nb) const
AES_RETURN | cbc_encrypt (const unsigned char in[], unsigned char out[], int nb, unsigned char iv[]) const
AES_RETURN | cfb_encrypt (const unsigned char in[], unsigned char out[], int nb, unsigned char iv[])
AES_RETURN | cfb_decrypt (const unsigned char in[], unsigned char out[], int nb, unsigned char iv[])
AES_RETURN | ofb_crypt (const unsigned char in[], unsigned char out[], int nb, unsigned char iv[])
AES_RETURN | ctr_crypt (const unsigned char in[], unsigned char out[], int nb, unsigned char iv[], ctr_fn cf)

## Public Attributes

aes_encrypt_ctx | cx [1]

## Member Typedef Documentation

## ctr_fn

typedef void AESencrypt::ctr_fn(unsigned char ctr[])

## Constructor & Destructor Documentation

## AESencrypt() [1/2]

AESencrypt::AESencrypt | ( | void |  | ) |

inline

## AESencrypt() [2/2]

AESencrypt::AESencrypt | ( | const unsigned char | key[] | ) |

inline

## Member Function Documentation

## cbc_encrypt()

AES_RETURN AESencrypt::cbc_encrypt | ( | const unsigned char | in[],
|  | unsigned char | out[],
|  | int | nb,
|  | unsigned char | iv[]
| ) |  | const

inline

## cfb_decrypt()

AES_RETURN AESencrypt::cfb_decrypt | ( | const unsigned char | in[],
|  | unsigned char | out[],
|  | int | nb,
|  | unsigned char | iv[]
| ) |  |

inline

## cfb_encrypt()

AES_RETURN AESencrypt::cfb_encrypt | ( | const unsigned char | in[],
|  | unsigned char | out[],
|  | int | nb,
|  | unsigned char | iv[]
| ) |  |

inline

## ctr_crypt()

AES_RETURN AESencrypt::ctr_crypt | ( | const unsigned char | in[],
|  | unsigned char | out[],
|  | int | nb,
|  | unsigned char | iv[],
|  | ctr_fn | cf
| ) |  |

inline

## ecb_encrypt()

AES_RETURN AESencrypt::ecb_encrypt | ( | const unsigned char | in[],
|  | unsigned char | out[],
|  | int | nb
| ) |  | const

inline

## encrypt()

AES_RETURN AESencrypt::encrypt | ( | const unsigned char | in[],
|  | unsigned char | out[]
| ) |  | const

inline

## key()

AES_RETURN AESencrypt::key | ( | const unsigned char | key[],
|  | int | key_len
| ) |  |

inline

## key128()

AES_RETURN AESencrypt::key128 | ( | const unsigned char | key[] | ) |

inline

## key192()

AES_RETURN AESencrypt::key192 | ( | const unsigned char | key[] | ) |

inline

## key256()

AES_RETURN AESencrypt::key256 | ( | const unsigned char | key[] | ) |

inline

## mode_reset()

AES_RETURN AESencrypt::mode_reset | ( | void |  | ) |

inline

## ofb_crypt()

AES_RETURN AESencrypt::ofb_crypt | ( | const unsigned char | in[],
|  | unsigned char | out[],
|  | int | nb,
|  | unsigned char | iv[]
| ) |  |

inline

## Member Data Documentation

## cx

aes_encrypt_ctx AESencrypt::cx[1]

The documentation for this class was generated from the following file:

- aescpp.h